Subject: RE: bug#1205: 23.0.60; C-x RET c FOO C-x C-g signals an error

From: "Drew Adams" <[email-masked]>
Date: Tue, 21 Oct 2008 22:17:51 -0700

> >> +     (if (char-equal last-input-char ?\C-g)
> > 
> > quit_char may not be C-g.
> 
> So ?\C-g should be expressed instead as (nth 3 (current-input-mode)),
> correct?

Essentially the question I asked emacs-devel today (based on this thread, though
I had forgotten where I saw it). See emacs-devel thread "question about
`quit-char'", FYI.

The answer I got was no, not in Emacs 23 (or 22 or 21...). Later, maybe. 

There was a fair amount of noise and distraction in the thread, but that's the
answer I took away for this question.